//
//  BNRItem.h
//  RandomPoessessions
//
//  Created by Benjamin Tan on 16/2/13.
//  Copyright (c) 2013 Benjamin Tan. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BNRItem : NSObject
{
//    NSString *itemName;
//    NSString *serialNumber;
//    int valueInDollars;
//    NSDate *dateCreated;
    
//    BNRItem *containedItem;
    // Think of parent child relationship. Parent can own the child, but
    // the child cannot own the parent. Therefore, the child reference is
    // should be declared weak.
//    __weak BNRItem *container;
}

+ (id)randomItem;

- (id)initWithItemName:(NSString *)name
        valueInDollars:(int)value
          serialNumber:(NSString *)sNumber;

//- (void)setItemName:(NSString *)str;
//- (NSString *)itemName;
//
//- (void)setSerialNumber:(NSString *)str;
//- (NSString *)serialNumber;
//
//- (void)setValueInDollars:(int)i;
//- (int)valueInDollars;
//
//- (NSDate *)dateCreated;
//
//- (void)setContainedItem:(BNRItem* )i;
//- (BNRItem *)containedItem;
//
//- (void)setContainer:(BNRItem* )i;
//- (BNRItem *)container;

@property (nonatomic, strong) BNRItem *containedItem;
@property (nonatomic, weak) BNRItem *container;
// Better to use copy, because subclass might be *mutable*
@property (nonatomic, copy) NSString *itemName;
@property (nonatomic, copy) NSString *serialNumber;
@property (nonatomic) int valueInDollars;
@property (nonatomic, readonly, strong) NSDate *dateCreated;

@end
