class WhereamiController < UIViewController
  def initWithNibName(nib_name, bundle: bundle)
    result = super
    if result
      location_manager = CLLocationManager.alloc.init
      location_manager.setDelegate(self)
      location_manager.setDesiredAccuracy(KCLLocationAccuracyBest)
      location_manager.startUpdatingLocation
    end
    result
  end

  def locationManager(manager, didUpdateToLocation:new_location, fromLocation:old_location)
    puts "#{new_location}"
  end

  def locationManager(manager, didFailWithError: error)
    puts "Failed to find location: #{error}"
  end
end