//
//  WhereamiViewController.h
//  Whereami
//
//  Created by Benjamin Tan on 17/2/13.
//  Copyright (c) 2013 Benjamin Tan. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import <MapKit/MapKit.h>

@interface WhereamiViewController : UIViewController <CLLocationManagerDelegate>
{
    CLLocationManager *locationManager;
    
    // View objects
    // IBOoutlet means that you will create objects in a XIB file.
    IBOutlet MKMapView *worldView;
    IBOutlet UIActivityIndicatorView *activityIndicator;
    IBOutlet UITextField *locationTitleField;
}
@end
